package vn.hus.nlp.fsm.fsa;

import java.util.logging.ConsoleHandler;
import java.util.logging.Level;
import java.util.logging.Logger;
import vn.hus.nlp.fsm.ConfigurationEvent;
import vn.hus.nlp.fsm.ISimulatorListener;
import vn.hus.nlp.fsm.Simulator;
import vn.hus.nlp.fsm.State;

public class DFASimulator extends Simulator
{
  protected DFA dfa;
  protected DFAConfiguration configuration = null;
  protected SimulatorLogger logger = null;
  private final boolean DEBUG = false;

  public DFASimulator(DFA paramDFA)
  {
    this.dfa = paramDFA;
  }

  protected DFAConfiguration next(DFAConfiguration paramDFAConfiguration)
  {
    DFAConfiguration localDFAConfiguration = null;
    State localState1 = paramDFAConfiguration.getCurrentState();
    String str = paramDFAConfiguration.getUnprocessedInput();
    int i = str.length();
    if (i > 0)
    {
      char[] arrayOfChar = localState1.getOutTransitionInputs();
      char c = str.charAt(0);
      for (int j = 0; j < arrayOfChar.length; j++)
      {
        if (arrayOfChar[j] != c)
          continue;
        State localState2 = this.dfa.getNextState(localState1, c);
        if (localState2 == null)
          continue;
        if (str.length() > 0)
          str = str.substring(1);
        localDFAConfiguration = new DFAConfiguration(localState2, paramDFAConfiguration, paramDFAConfiguration.getTotalInput(), str);
      }
    }
    return localDFAConfiguration;
  }

  public DFAConfiguration track(String paramString)
  {
    DFAConfiguration localDFAConfiguration;
    for (this.configuration = new DFAConfiguration(this.dfa.getInitialState(), null, paramString, paramString); this.configuration != null; this.configuration = localDFAConfiguration)
    {
      localDFAConfiguration = next(this.configuration);
      if (localDFAConfiguration == null)
        return this.configuration;
    }
    return this.configuration;
  }

  public boolean accept(String paramString)
  {
    DFAConfiguration localDFAConfiguration = track(paramString);
    return (localDFAConfiguration.getCurrentState().isFinalState()) && (localDFAConfiguration.getUnprocessedInput().length() == 0);
  }

  public String run(String paramString)
  {
    return null;
  }

  class SimulatorLogger
    implements ISimulatorListener
  {
    private final Logger logger = Logger.getLogger(DFASimulator.class.getName());

    public SimulatorLogger()
    {
      this.logger.addHandler(new ConsoleHandler());
      this.logger.setLevel(Level.FINEST);
    }

    public void update(ConfigurationEvent paramConfigurationEvent)
    {
      this.logger.log(Level.INFO, paramConfigurationEvent.toString());
    }
  }
}

/* Location:           C:\Downloads\vn.hus.nlp.tokenizer-4.1.1-bin.tar\lib\vn.hus.nlp.fsm-1.0.0.jar
 * Qualified Name:     vn.hus.nlp.fsm.fsa.DFASimulator
 * JD-Core Version:    0.6.0
 */