package vn.hus.nlp.fsm.test;

import java.io.PrintStream;
import java.util.Arrays;
import vn.hus.nlp.fsm.FSM;
import vn.hus.nlp.fsm.builder.FSMBuilder;
import vn.hus.nlp.fsm.builder.MinimalFSMBuilder;
import vn.hus.nlp.fsm.builder.SimpleFSMBuilder;
import vn.hus.nlp.fsm.io.FSMUnmarshaller;
import vn.hus.nlp.fsm.util.FSMUtilities;

public class DFAClient
{
  public static void testOperations()
  {
    String[] arrayOfString = { "ab", "abc", "de", "df" };
    SimpleFSMBuilder localSimpleFSMBuilder = new SimpleFSMBuilder("DFA");
    localSimpleFSMBuilder.create(arrayOfString);
    localSimpleFSMBuilder.printMachine();
    System.out.println("Remove state 3: ");
    FSM localFSM = localSimpleFSMBuilder.getMachine();
    localFSM.removeState(localFSM.getState(3));
    localSimpleFSMBuilder.printMachine();
    localFSM.removeState(localFSM.getState(4));
    localSimpleFSMBuilder.printMachine();
    localSimpleFSMBuilder.dispose();
  }

  public static void testSimpleDFABuilder() {
    String[] arrayOfString = { "ab", "abc", "de", "df" };
    SimpleFSMBuilder localSimpleFSMBuilder = new SimpleFSMBuilder("DFA");
    localSimpleFSMBuilder.create(arrayOfString);
    localSimpleFSMBuilder.printMachine();
    localSimpleFSMBuilder.dispose();
  }

  public static void testMinimalDFABuilder1()
  {
    String[] arrayOfString = { "bo", "ba" };
    Arrays.sort(arrayOfString, 0, arrayOfString.length);
    MinimalFSMBuilder localMinimalFSMBuilder = new MinimalFSMBuilder("DFA");
    localMinimalFSMBuilder.create(arrayOfString);
    localMinimalFSMBuilder.printMachine();
    localMinimalFSMBuilder.dispose();
  }

  public static void testMinimalDFABuilder2()
  {
    MinimalFSMBuilder localMinimalFSMBuilder = new MinimalFSMBuilder("DFA");
    localMinimalFSMBuilder.create("samples/lexicon_v3_set.txt");
    localMinimalFSMBuilder.dispose();
  }

  public static void testFSMUnmarshaller()
  {
    FSMUnmarshaller localFSMUnmarshaller = new FSMUnmarshaller();
    FSM localFSM = localFSMUnmarshaller.unmarshal("samples/lexicon_dfa_minimal.xml", "DFA");
    FSMUtilities.statistic(localFSM);
  }

  public static void main(String[] paramArrayOfString)
  {
    testMinimalDFABuilder1();
  }
}

/* Location:           C:\Downloads\vn.hus.nlp.tokenizer-4.1.1-bin.tar\lib\vn.hus.nlp.fsm-1.0.0.jar
 * Qualified Name:     vn.hus.nlp.fsm.test.DFAClient
 * JD-Core Version:    0.6.0
 */