package vn.hus.nlp.sd;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.Reader;
import java.util.ArrayList;
import java.util.List;
import opennlp.maxent.io.SuffixSensitiveGISModelReader;
import opennlp.tools.sentdetect.SentenceDetectorME;
import vn.hus.nlp.utils.UTF8FileUtility;

public class SentenceDetector extends SentenceDetectorME
{
  public SentenceDetector(String paramString)
    throws IOException
  {
    super(new SuffixSensitiveGISModelReader(new File(paramString)).getModel());
  }

  public String[] detectSentences(Reader paramReader)
    throws IOException
  {
    BufferedReader localBufferedReader = new BufferedReader(paramReader);
    ArrayList localArrayList = new ArrayList();
    for (String str1 = localBufferedReader.readLine(); str1 != null; str1 = localBufferedReader.readLine())
    {
      if (str1.trim().length() <= 0)
        continue;
      String[] arrayOfString1 = sentDetect(str1);
      for (String str2 : arrayOfString1)
        localArrayList.add(str2.trim());
    }
    if (paramReader != null)
      paramReader.close();
    return (String[])localArrayList.toArray(new String[localArrayList.size()]);
  }

  public String[] detectSentences(String paramString)
    throws IOException
  {
    return detectSentences(new InputStreamReader(new FileInputStream(paramString), "UTF-8"));
  }

  public void detectSentences(String paramString1, String paramString2)
  {
    try
    {
      UTF8FileUtility.createWriter(paramString2);
      String[] arrayOfString = detectSentences(paramString1);
      for (int i = 0; i < arrayOfString.length; i++)
      {
        String str = arrayOfString[i];
        UTF8FileUtility.write(str + "\n");
      }
      UTF8FileUtility.closeWriter();
    }
    catch (IOException localIOException)
    {
      localIOException.printStackTrace();
    }
  }
}

/* Location:           C:\Downloads\vn.hus.nlp.tokenizer-4.1.1-bin.tar\lib\vn.hus.nlp.sd-2.0.0.jar
 * Qualified Name:     vn.hus.nlp.sd.SentenceDetector
 * JD-Core Version:    0.6.0
 */